Subject: Re: [PATCH RFC net-next 05/12] net: dsa: bcm_sf2: convert to phylink_generic_validate()

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 6 Dec 2021 16:13:36 +0000

On Mon, Dec 06, 2021 at 09:59:46AM -0600, Tom Lendacky wrote:
> On 12/4/21 8:52 AM, Russell King (Oracle) wrote:
> > On Sat, Dec 04, 2021 at 08:59:12AM +0000, Russell King (Oracle) wrote:
> > > On Fri, Dec 03, 2021 at 08:18:22PM -0800, Florian Fainelli wrote:
> 
> > 
> > Here's a patch for one of my suggestions above. Tom, I'd appreciate
> > if you could look at this please. Thanks.
> 
> I think it's fine to move the setting down. The driver that I was working on
> at the time only advertised 1000baseKX_Full for 1gpbs (which wasn't in the
> array and why I added it), so I don't see an issue with moving it down.
> 
> A quick build and test showed that I was able to successfully connect at 1
> gbps. I didn't dive any deeper than that.

Thanks Tom! Can I use that to add your tested-by to this change please?

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!